Skip to main content
Retrieve final transaction details and status using the transaction reference. This is typically used after a customer is redirected back from the checkout page or when processing high-value transactions that require manual confirmation.

Endpoint

GET /pms/transactions/{reference}/confirm/

Path Parameters

reference
string
required
The unique transaction reference returned during initialization or received via webhook.

Headers

NameTypeRequiredDescription
api-keystringRequiredBusiness API key
api-secretstringRequiredBusiness API secret

Response

status
boolean
Request status - true or false.
message
string
Description of the result.
data
object

Example Request

curl -X GET https://api.payvessel.com/pms/transactions/PV_123456789/confirm/ \
  -H "api-key: your_api_key" \
  -H "api-secret: your_api_secret"

Example Response

{
  "status": true,
  "message": "string",
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "business_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "transaction_ref": "string",
    "amount": "457.93",
    "fee": "-3370087",
    "status": "PENDING",
    "transaction_type": "CREDIT",
    "channel": "string",
    "payment_processor": "9psb",
    "access_code": "string",
    "checkout_url": "string",
    "api_key": "string",
    "payment_link": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "description": "string",
    "metadata": "string",
    "business_profile": {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "name": "string",
      "email": "user@example.com",
      "business_logo": "string"
    },
    "order": {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "channels": "string",
      "currency": "str",
      "redirect_url": "string",
      "webhook_url": "string",
      "customer_name": "string",
      "customer_email": "user@example.com",
      "customer_phone_number": "string",
      "metadata": "string",
      "created_datetime": "2026-03-25T15:52:38.091Z",
      "updated_datetime": "2026-03-25T15:52:38.091Z"
    },
    "virtual_account": {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "bank_code": "string",
      "bank_name": "string",
      "account_number": "string",
      "account_name": "string",
      "account_type": "STATIC",
      "expire_datetime": "2026-03-25T15:52:38.091Z",
      "tracking_reference": "string",
      "created_datetime": "2026-03-25T15:52:38.091Z",
      "updated_datetime": "2026-03-25T15:52:38.091Z"
    },
    "logs": "string",
    "created_datetime": "2026-03-25T15:52:38.091Z",
    "updated_datetime": "2026-03-25T15:52:38.091Z"
  }
}